version: '3.8'

services:

  rabbitmq:
    ports:
      - 5672:5672
      - 15672:15672

  eureka:
    ports:
      - 8761:8761

  config:
    ports:
      - 8888:8888

  redis:
    ports:
      - 6379:6379

  chatpostgres:
    ports:
      - 5434:5432

  chatms:
    ports:
      - 8082:8082

  img:
    ports:
      - 8083:8083

  imgpostgres:
    ports:
      - 5433:5432

  keycloakpostgres:
    ports:
      - 5432:5432


  keycloak: #dev production
    ports:
      - 8443:8443 # Port 8080 is alredy exposed through docker-compose.override.yml

  gateway:
    ports:
      - 8081:8081

  vault:
    ports:
      - 8200:8200

  grafana:
    ports:
      - 3000:3000

  loki:
    ports:
      - 3100:3100

  fluentbit:
    ports:
      - 24224:24224

  prometheus:
    ports:
      - 9090:9090

  tempo:
    ports:
      - 9411:9411
      - 55680:55680